summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2013-09-19 09:37:14 +0000
committerMichał Górny <mgorny@gentoo.org>2013-09-19 09:37:14 +0000
commit961eec2fc69c5a72cec39c15fd7e72056f2dfb8d (patch)
tree0f8dc6866c6219328743f8a9bbd8bf1646655f31 /eclass/git-r3.eclass
parentVersion bump. (diff)
downloadgentoo-2-961eec2fc69c5a72cec39c15fd7e72056f2dfb8d.tar.gz
gentoo-2-961eec2fc69c5a72cec39c15fd7e72056f2dfb8d.tar.bz2
gentoo-2-961eec2fc69c5a72cec39c15fd7e72056f2dfb8d.zip
Do not even create shallow repository when EGIT_NONSHALLOW is set. Otherwise, the eclass tries to unshallow it and that breaks broken git servers like Google Code.
Diffstat (limited to 'eclass/git-r3.eclass')
-rw-r--r--eclass/git-r3.eclass8
1 files changed, 5 insertions, 3 deletions
diff --git a/eclass/git-r3.eclass b/eclass/git-r3.eclass
index 457d41352303..bfbc67d42a05 100644
--- a/eclass/git-r3.eclass
+++ b/eclass/git-r3.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/git-r3.eclass,v 1.5 2013/09/13 15:08:37 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/git-r3.eclass,v 1.6 2013/09/19 09:37:14 mgorny Exp $
# @ECLASS: git-r3.eclass
# @MAINTAINER:
@@ -208,8 +208,10 @@ _git-r3_set_gitdir() {
mkdir "${GIT_DIR}" || die
git init --bare || die
- # avoid auto-unshallow :)
- touch "${GIT_DIR}"/shallow || die
+ if [[ ! ${EGIT_NONSHALLOW} ]]; then
+ # avoid auto-unshallow :)
+ touch "${GIT_DIR}"/shallow || die
+ fi
fi
}